/* Copyright (c) 2011 Artjom Popov */

#import <Foundation/Foundation.h>

NSDateFormatter *NSGetSQLDateFormatter();
NSDateFormatter *NSGetSQLDateTimeFormatter();
NSDateFormatter *NSGetDateTimeFormatter();

@interface NSDate(Additions)

@property (nonatomic, retain, readonly) NSString *stringValue;
@property (nonatomic, retain, readonly) NSString *sqlDateTimeStringValue;
@property (nonatomic, retain, readonly) NSString *soapDateTimeStringValue;

- (NSString *)timeLeftSinceNow;

@end
